GNU bug report logs - #32709
Clojure doesn't provide "clojure" executable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Ben Sturmfels <ben@HIDDEN>; Keywords: easy; merged with #37929; dated Wed, 12 Sep 2018 02:08:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 32709 37929. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32709 <at> debbugs.gnu.org:


Received: (at 32709) by debbugs.gnu.org; 13 Dec 2018 05:36:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 13 00:36:40 2018
Received: from localhost ([127.0.0.1]:45720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXJfs-00016a-DE
	for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 00:36:40 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:38165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ben@HIDDEN>) id 1gXJfr-00016N-5P
 for 32709 <at> debbugs.gnu.org; Thu, 13 Dec 2018 00:36:39 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id C7FCA21B96;
 Thu, 13 Dec 2018 00:36:33 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Thu, 13 Dec 2018 00:36:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=stumbles.id.au;
 h=subject:from:to:cc:references:message-id:date:mime-version
 :in-reply-to:content-type; s=fm1; bh=c5sKqRIkn5FbqlHVNNlicosvCAj
 NiLfO7aarDgN5NK0=; b=gWF/XRQZs2wbz5ybtk3MK5r2fM9gA/0WpZyR8mtbYKY
 tT7gxsx88WMQys5WVlAm0JCfqqplGkR7Eot2Z4+rbLAXuRMo+4yZOcnycow/tWWg
 dAOT+Ijq94eQXgpXTTfIyrbdOwKIsCjy1HGkrM1Hk38BY29zPfEtHDPfIQZuks1t
 T4WZmtk1x9OZV6CkuAwD+vaW3Y1YCSSY9khwCVILqEHmCyWa1mllO0BdkD8hU5UO
 j+4eeo6lY+WIVd35LPQ0Lnyg0apg7+FC8uvyj8zHcKbR+TQUf+Ubqc8Q60JCn8lk
 w4M0uiWT7uyUT7nN0PbEOZvVYhu26w92rjwbMiI5dKA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=c5sKqR
 Ikn5FbqlHVNNlicosvCAjNiLfO7aarDgN5NK0=; b=Nshypahs9sbq5V3ePUrFF2
 nj9KXD9z5+t5m75UCBItPjHiMNiVpW2ZFBOelOzliEvkYy01/T6lVvK78Eza2FSw
 5SrjbTl5nn9KVTJ3dpm2dq9MbkuSX2CVuGhV3mRTnWq1WNqzS42y3Ttq/BLlTctD
 ijJqC3Hg0nYI0G7hi46AjZPqCu5eiRbBqw94ZXOR5tYnjaBuQxUoK9RmMrjj2BRy
 lpZJArQG8ru+/rchY1QGwtRvBdaboAmuiEoYUm5rlCpzqshUK6/pcD5S5fxF16V7
 vMudYQWu5TSZypelKErY9UcwYcMKrh2rmf3nBjd5/1SM6YSoTrmPDipP3Bwr0uwA
 ==
X-ME-Sender: <xms:4e8RXAQFkTKhVEfL8LelJmm7IQXn01jU0aGzA3QUDl12aLFvcpes7g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtkedrudehuddgkeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhepuffhvfhfkffffgggjggtsehgtderofdtfeejnecuhfhrohhmpe
 euvghnucfuthhurhhmfhgvlhhsuceosggvnhesshhtuhhmsghlvghsrdhiugdrrghuqeen
 ucffohhmrghinheptghlohhjuhhrvgdrohhrghdpghhithhhuhgsrdgtohhmnecukfhppe
 dvtdefrddvudegrddufedvrddujedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpegsvghn
 sehsthhumhgslhgvshdrihgurdgruhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:4e8RXK53Bh-N6IQu5mlif7t3bsu9jvgId5eLvupIf8bJmnqghBhTNw>
 <xmx:4e8RXM2iq0H8chgNbqqqfaIMpuZGxHM07bRklk25KLLzrOZZyQEm9g>
 <xmx:4e8RXFDHjVtpKS2LUhoAV1Vk1JYMAynfS_Mvk6rCkFdW2MFNRtlK_Q>
 <xmx:4e8RXN7yVu3aXEt6f9o3klSnv6X7i0oRRhfc0cgsgYFdSsZYXXdhTA>
Received: from [192.168.1.103] (203-214-132-170.perm.iinet.net.au
 [203.214.132.170])
 by mail.messagingengine.com (Postfix) with ESMTPA id 103831026D;
 Thu, 13 Dec 2018 00:36:31 -0500 (EST)
Subject: Re: bug#32709: Clojure doesn't provide "clojure" executable
From: Ben Sturmfels <ben@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
References: <874leva358.fsf@HIDDEN> <878t456tnj.fsf@HIDDEN>
 <b596999c-28ef-2b1d-f2dc-da53f888bd53@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=ben@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBFEBLl8BEACz3KYXntxNCon7QOMh26cfz3sBrvZGClI115XKynw9cIV7ndcdtMdCEiuo
 9CidClB6kbKl4d5BaqHI+8CBk840FDPWEICwpvNLaYKz0Wm25KnVXd8bu36T+uLBWULbfGeD
 2ObfdL1k2jhP5Ky+hZBTW8oceMKv1M98NdFEPrOm1bj2RJYjEDsYPOghM1i8hEZfmnaQ7AwG
 y94SD16lrViT87JtSN4Zgp2qPLqV0stj4mNZQSpwNpiJNLgwp39SVKzRUlwmlHkVfJWSwtGd
 cs80tQ0QEMB6hgU/EyEFSVEilQ/cd3tBNJHh99aDgVlAZWNQsJpaz4IJCFZ9spNjRvTeJCxS
 VXzgooYYYQoYtZhmN9MHphoUOl001Bh3rLIPySUcoeko1tubncdWV/mEiuI5OwCFHqTZ1TA9
 fi+YKOaq8JHGc5clrtK0YEK8XzP2qLqp33uXBVmnxDRhVhQ6C2ce/FRkAKcwCv1B3+C5U+1t
 aaGTfoi/pyQHgi9iLT/yczaRHWNc7+2/iOWe/BH03MiEftTkNl360frqR7iDg2tAmFoPVFgB
 5RAmSH/8EIw7NmLXEISqGiwjeO3Sev/WnXFrS8HARWhSNr0CAKrFN/uewYTZfKe1qXsLu6KX
 lyhjyx9e2RBPvXQ1s4VqVJ/I1Sp2cnfXQpVS0GleMzkG4cml6QARAQABzSBCZW4gU3R1cm1m
 ZWxzIDxiZW5Ac3R1cm0uY29tLmF1PsLBlAQTAQoAPgIbAwIeAQIXgAULCQgHAwUVCgkICwUW
 AgMBABYhBD5/Nuc73WpxBvkgIQI8BeLJwGjwBQJaZWDWBQkNJplsAAoJEAI8BeLJwGjw9wkP
 /RWHNsEiAHiv4YgeN4r0JSxomUm2wvtngEbE65LUY758ygaUu8mbCdOvGxQbLKKg7BZOUdLs
 xkoQCyOvgs14x1n0kI8bCfO6bVgRGjzsVcBx+/U8nRVWKclqeVptVDeHydkCxwQFfbSbXehK
 6YXcoLOSgdMJORMH+q4stax6dEPJmzmu57qkb6o3iAlRGQrcApI9EzVHGozMcIrX4/Q87WTx
 xB9Lq+xfgld7mhtJL6jDTUVWdQzRdp9gBJJ845KxNzrWkPF1jrRZn82du59CFPTk1P0wz8eT
 HxPcRXJBMMnF9GueDl+rGF4AifZkYknQ9GMaJSvZCvsDME9y8AGywzEfFCZeNZHt5G99Of7p
 Pgu3qpR3z/bQJx4mFm7Zap2VjIlJm9bwSzhurXIwzEFn+s+a7/DX/X5acmbtV1WGXMFyDy73
 yl0oSNw3X32YCbBikpEsSEiyUvEAmtkJpsz/4kusrWI0cniZWcXNhcYsvwaybNDVFUGZnrWt
 Y7NPFwFGsX1En2mU5C8nX2JaWb45T8aWG74pjW0aLyzkDbZNN4vJdzFmBxyGOioXjnrNGo1K
 rysJ5kO8+SJuaJ8B+TQE2ygoP9JTAPISoYB8eQlMf4sC4HorgikaYlceKll672mTdKQ8DW8W
 Vlx8efKInRIBoRGBbedwiU5Uwv3XERQjiZKBzsFNBFEBLl8BEADjiNIzTqVsTzWOqcsib7lC
 y3K8wlS6olCx4Pr3omc7GgCTEmFu5gqJQS+depr+nj9Ppfe9dJv93FxtUHgwY7XoUxAojKkK
 F0ZOCSp7f6eElcv7Ru2ji+lzecvJeSjkhm4XKPD5oFrg9rDH7o22nQCa+EeSHKW2OktBYRmi
 +2beJIhZulcPXTWIHLzcOyiSIw7yPiYOmzjSVr+IrIY0+ZvIexCjV8ror2vdL19UDaSv3yXm
 mkdjSQTaD3wIDGvs6lYRKPQhN+w1VxgxZebEwH0G6Dp8pA0nGOwtvJyctJhLSrTnwiTvQoE7
 oV5LzcFS1krJzn3mTvxURYF5pZWRGsKxyEMPS0npHXIbjwyr+ct04vXiI22wyHboGAEj3lNi
 QuWg+aYTcYmdJsiBRQJMi6inBjrPyyTPSYGPfAkdteb7Nsv8/EU39vnMHtfOHT9cAOMdk9nx
 ZkDRPZdDsE7v3uGfA70Cf40Lfu2fMirpMAep5aJEKCuLwFbyEE++3ZN3ZttrLhqDa+y33F9q
 1ZWPQsQZuNBAyEoKzzMFO4h+x6YRXkobG0gKzuGyRKpqH5MnhYeIWKXcLS+ZZnEWajRvJ6T8
 VLemJN3dQVJxtSeT573tzsCxYsfv703WbV3pi1MiDx0TpNP+n+PXccVBbyihDPEPQ1RqfZeG
 vb1HzOurdh63ewARAQABwsF8BBgBCgAmAhsMFiEEPn825zvdanEG+SAhAjwF4snAaPAFAlpl
 YT4FCQ0mmd8ACgkQAjwF4snAaPDgLg//dB4Ykmy8arzcRksnPXjTOi/QbktyMmeNxIeHqRrT
 9CCCjCmJfJ+QohmfEunWGh0BR79hdRnib/iWcI3cXcEsYJ5j43uoJ4fZDTKZccAeqFlNY21o
 Yk6zyqudfiucFyCHO+Ao5m2nP683QqmxAkPN8nJL30dXY+CjX5gJjPESTkB3g94M35v3Zwr8
 i79w16h1I7lN5kfojY8+5lIoKek+vfrnUN/z4+YaD2/KAyot3tN92nibletYytTc/nSQUMdz
 oJ0eUFv3i2/rHHSaT92ftzveeZRjtRaRPY3lIvXkpOjL6swWS1zarX1qA9fVDh6KJDu0DShP
 OcL7HKn3hayBW2RmpFUjdkFKPI3d7bcTzyEnSMniXbVE4Gv3GiqDddhEpSYbBgw76eQdJpPl
 XN575vMUMP2HHkCKQtJZWZk1GSvsUDKeymiSrrBQZabGOQig6e+UiHL5/C/KBYLRIRUDKMj8
 lpQ8VsiiVypOoyoU6LEa/a2ZsRvXUBD+dPjMVDQfwuA9exwq6X1IT4+h+cQsL7srAaqRNCqR
 yf7VYRLcB7Rj3MNyo+s6LHlWWY0ObG6NgNzDcv/3G4pT50em5y2f6mo5PHywTcHorYB3cPfz
 YpAhF+IHa7suYfm3qyVmCZ4N+AHUAByy2NnPc7mFZLIVSAoKcwDhdJJu80eabYQZ59Y=
Message-ID: <c086e9ee-bd75-c34b-21f7-0c657e20229f@HIDDEN>
Date: Thu, 13 Dec 2018 16:36:23 +1100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Icedove/52.9.1
MIME-Version: 1.0
In-Reply-To: <b596999c-28ef-2b1d-f2dc-da53f888bd53@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature";
 boundary="xidyi9OTipS1zXt3l1nEEWQbbvhDXLnY5"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32709
Cc: 32709 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--xidyi9OTipS1zXt3l1nEEWQbbvhDXLnY5
Content-Type: multipart/mixed; boundary="xuT9kGSjKNULNo4tIv0p2PbZ6asDMyiKf";
 protected-headers="v1"
From: Ben Sturmfels <ben@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: 32709 <at> debbugs.gnu.org
Message-ID: <c086e9ee-bd75-c34b-21f7-0c657e20229f@HIDDEN>
Subject: Re: bug#32709: Clojure doesn't provide "clojure" executable
References: <874leva358.fsf@HIDDEN> <878t456tnj.fsf@HIDDEN>
 <b596999c-28ef-2b1d-f2dc-da53f888bd53@HIDDEN>
In-Reply-To: <b596999c-28ef-2b1d-f2dc-da53f888bd53@HIDDEN>

--xuT9kGSjKNULNo4tIv0p2PbZ6asDMyiKf
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

On 13/12/18 14:08, Ben Sturmfels wrote:

> After some investigating I see that Clojure project's current approach
> is different again to Debian. Their releases eg.
> https://download.clojure.org/install/clojure-tools-1.9.0.XXX.tar.gz
> include scripts `clj` and `clojure` which come from
> https://github.com/clojure/brew-install. These scripts use functionalit=
y
> from https://github.com/clojure/tools.deps.alpha/ to automatically
> download any libraries you've declared a dependency on at runtime.
>=20
> There will surely be a script that does this multi-repository build, bu=
t
> I haven't found it yet.

Alex Miller advised that the build is run by the scripts in the
clojure/brew-install repo. It runs "script/package.sh".

Regards,
Ben


--xuT9kGSjKNULNo4tIv0p2PbZ6asDMyiKf--

--xidyi9OTipS1zXt3l1nEEWQbbvhDXLnY5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcEe/XAAoJEAI8BeLJwGjwgGQQAJnqAi28+0mgV6vmqDUZDNEV
LOUlJQtYfnvKSTgI558we2cpBrTARLlJoYb86U7facfrBO17kOPqMh2hBDGrhf5G
GIir8z+MYwHZd8AC4/l+FDJl7a8qCo1cwpSVHgyqpDnJMVfHnOrXyNohF3hlTVnm
scpz/QFto3dYDGP14y/Fta+WvaX9d2C8n+SbMjvsReWPTntFAkTKhDXRNCAQj9Tn
FlLhBIrJeVGVilROjOksaqJwehI/8W0JUzjZDHGOTLtUpcfydBKKUYWKJ0w5N8U2
zFKCdRY5Mok0kRO4ICOX355CBaIJJijUhSwQhDsNpubXUi1nbL1OX11Qly/KBuPo
FrpSyYNREGKIRrOnkN1S2GkpnhHf/TfIhMOQB/HygcINPOh5bZQuvf6l/AGYDqSL
ZkoVGsU4COjJeau3xMEuL3rUMfdJKfVGUHKOXPFA5kRpxi2WQb6OgEZGc/uIttg6
ffvh8Qu5Mpq35ku37Yn011oBiNR33jhM62uS7s/YH1XK8WDlFwXOIw5ADhSXp+YQ
aSlRP8QEa/c/6AxEAfbKkhN2jlylnR+rP5jLZOPgpGG4kNHbUsAazXjfOImEb6O+
B5kmgXguHD8heTlxt6vKkCCIwi+xyzg/iGAXrur0NAIGIRZRTEFxjodMTjadDAnI
bixUXwivapodrFLZ2o1N
=ja3B
-----END PGP SIGNATURE-----

--xidyi9OTipS1zXt3l1nEEWQbbvhDXLnY5--




Information forwarded to bug-guix@HIDDEN:
bug#32709; Package guix. Full text available.

Message received at 32709 <at> debbugs.gnu.org:


Received: (at 32709) by debbugs.gnu.org; 13 Dec 2018 03:09:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 12 22:09:05 2018
Received: from localhost ([127.0.0.1]:45685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXHN3-0005zA-J6
	for submit <at> debbugs.gnu.org; Wed, 12 Dec 2018 22:09:05 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:37971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ben@HIDDEN>) id 1gXHN1-0005yg-JF
 for 32709 <at> debbugs.gnu.org; Wed, 12 Dec 2018 22:09:04 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 368C421FF5;
 Wed, 12 Dec 2018 22:08:58 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Wed, 12 Dec 2018 22:08:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=stumbles.id.au;
 h=to:cc:references:from:subject:message-id:date:mime-version
 :in-reply-to:content-type; s=fm1; bh=JzscFr2pGfQ9EwhqvNaBWBSFkzm
 Rn31fnFNJg8BYY3I=; b=lnzZapWj1KOqb6gCRPXUbruTBPC0Zqd/mSCP88JMy+s
 0QyHzoP7MDGOiEmFmMMXnIgZxyN2ibTWeghCWWIcHSqXPRuIzD3vbtblUQhijjYM
 Cw0ZiN+FebJvy6QJcTj6/orTI4PnL3Jx4F4wg6f8qpVlkt34pb3P2EOxd0+D4Suj
 0zrRu4U1rCHHUm9+2ZEQeI5KLPowCqwIv+r+E99Gx4E3RmjgyDymneebNj88nenY
 qiPk7jK79hHb0piucIhzfaiIfp99WxgabPiM3xYYGbyZf8aaxLJ9pIHf4BJSIjjO
 eAov6JSkRO8T0G3UpTo79DMbuKEiYzRh5s7PsJF34Zw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=JzscFr
 2pGfQ9EwhqvNaBWBSFkzmRn31fnFNJg8BYY3I=; b=FMcQbiCb5sUrUQmwDCeiTf
 d1Od1WmZhQbUspxXAbnZDVZEl0Rm5zgCD3C3QQzAUG9x0aISOma14mTfmmtq0Zcm
 F/XoaTTVP59p0DeWOM0S+C9ri2ZUAtAZ4Sq2EekTnPvF5auZpVDpu4R8JMAWMDGP
 Wf10IpZ/4GIH8kVPaGqgctKNJmasWFeDM1pATz8HUwXcf7OpjVbDrdotlAmeBsJS
 eH1+oSgaMYDBLwCTC8yd0Hk5g6Q4Olw1G5INyN7RPf1FsNWXNTwlzvwTI7Bwedjk
 REKDAz9/Azqzu87r/wt1QHhVRRq3p4x4cEEr0MlJWkO+aTE1/V1lhgIUXBPKmYsg
 ==
X-ME-Sender: <xms:Sc0RXFHm9vi3ueLqcjDeapmQe5QOSHpldm3w0In2DJcO2ZweKon0cw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtkedrudehuddgheeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhepvfhfhffukffffgggjggtsehgtderofdtfeejnecuhfhrohhmpe
 euvghnucfuthhurhhmfhgvlhhsuceosggvnhesshhtuhhmsghlvghsrdhiugdrrghuqeen
 ucffohhmrghinheptghlohhjuhhrvgdrohhrghdpghhithhhuhgsrdgtohhmnecukfhppe
 dvtdefrddvudegrddufedvrddujedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpegsvghn
 sehsthhumhgslhgvshdrihgurdgruhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:Sc0RXE8GOead9xLxSAU1QCQ3PJBbv7MYZ4cCTxF6XqGtFwIPwoQBJg>
 <xmx:Sc0RXNJfaKYq_dSNq5myzVCeNRuJ4kYD_2B7WeGiRJ4Tbowb2fCkyA>
 <xmx:Sc0RXKt0JtuWqf6o5IjtOibNTqanNGV9Sb6ggU2qzMzfZ5uTYgsoPQ>
 <xmx:Ss0RXG6A8dghI6g1yIQ_yK01LSaaIszddURRiErNSxUpv00FFi7dKA>
Received: from [192.168.1.103] (203-214-132-170.perm.iinet.net.au
 [203.214.132.170])
 by mail.messagingengine.com (Postfix) with ESMTPA id 92B4110338;
 Wed, 12 Dec 2018 22:08:56 -0500 (EST)
To: Ricardo Wurmus <rekado@HIDDEN>
References: <874leva358.fsf@HIDDEN> <878t456tnj.fsf@HIDDEN>
From: Ben Sturmfels <ben@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=ben@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBFEBLl8BEACz3KYXntxNCon7QOMh26cfz3sBrvZGClI115XKynw9cIV7ndcdtMdCEiuo
 9CidClB6kbKl4d5BaqHI+8CBk840FDPWEICwpvNLaYKz0Wm25KnVXd8bu36T+uLBWULbfGeD
 2ObfdL1k2jhP5Ky+hZBTW8oceMKv1M98NdFEPrOm1bj2RJYjEDsYPOghM1i8hEZfmnaQ7AwG
 y94SD16lrViT87JtSN4Zgp2qPLqV0stj4mNZQSpwNpiJNLgwp39SVKzRUlwmlHkVfJWSwtGd
 cs80tQ0QEMB6hgU/EyEFSVEilQ/cd3tBNJHh99aDgVlAZWNQsJpaz4IJCFZ9spNjRvTeJCxS
 VXzgooYYYQoYtZhmN9MHphoUOl001Bh3rLIPySUcoeko1tubncdWV/mEiuI5OwCFHqTZ1TA9
 fi+YKOaq8JHGc5clrtK0YEK8XzP2qLqp33uXBVmnxDRhVhQ6C2ce/FRkAKcwCv1B3+C5U+1t
 aaGTfoi/pyQHgi9iLT/yczaRHWNc7+2/iOWe/BH03MiEftTkNl360frqR7iDg2tAmFoPVFgB
 5RAmSH/8EIw7NmLXEISqGiwjeO3Sev/WnXFrS8HARWhSNr0CAKrFN/uewYTZfKe1qXsLu6KX
 lyhjyx9e2RBPvXQ1s4VqVJ/I1Sp2cnfXQpVS0GleMzkG4cml6QARAQABzSBCZW4gU3R1cm1m
 ZWxzIDxiZW5Ac3R1cm0uY29tLmF1PsLBlAQTAQoAPgIbAwIeAQIXgAULCQgHAwUVCgkICwUW
 AgMBABYhBD5/Nuc73WpxBvkgIQI8BeLJwGjwBQJaZWDWBQkNJplsAAoJEAI8BeLJwGjw9wkP
 /RWHNsEiAHiv4YgeN4r0JSxomUm2wvtngEbE65LUY758ygaUu8mbCdOvGxQbLKKg7BZOUdLs
 xkoQCyOvgs14x1n0kI8bCfO6bVgRGjzsVcBx+/U8nRVWKclqeVptVDeHydkCxwQFfbSbXehK
 6YXcoLOSgdMJORMH+q4stax6dEPJmzmu57qkb6o3iAlRGQrcApI9EzVHGozMcIrX4/Q87WTx
 xB9Lq+xfgld7mhtJL6jDTUVWdQzRdp9gBJJ845KxNzrWkPF1jrRZn82du59CFPTk1P0wz8eT
 HxPcRXJBMMnF9GueDl+rGF4AifZkYknQ9GMaJSvZCvsDME9y8AGywzEfFCZeNZHt5G99Of7p
 Pgu3qpR3z/bQJx4mFm7Zap2VjIlJm9bwSzhurXIwzEFn+s+a7/DX/X5acmbtV1WGXMFyDy73
 yl0oSNw3X32YCbBikpEsSEiyUvEAmtkJpsz/4kusrWI0cniZWcXNhcYsvwaybNDVFUGZnrWt
 Y7NPFwFGsX1En2mU5C8nX2JaWb45T8aWG74pjW0aLyzkDbZNN4vJdzFmBxyGOioXjnrNGo1K
 rysJ5kO8+SJuaJ8B+TQE2ygoP9JTAPISoYB8eQlMf4sC4HorgikaYlceKll672mTdKQ8DW8W
 Vlx8efKInRIBoRGBbedwiU5Uwv3XERQjiZKBzsFNBFEBLl8BEADjiNIzTqVsTzWOqcsib7lC
 y3K8wlS6olCx4Pr3omc7GgCTEmFu5gqJQS+depr+nj9Ppfe9dJv93FxtUHgwY7XoUxAojKkK
 F0ZOCSp7f6eElcv7Ru2ji+lzecvJeSjkhm4XKPD5oFrg9rDH7o22nQCa+EeSHKW2OktBYRmi
 +2beJIhZulcPXTWIHLzcOyiSIw7yPiYOmzjSVr+IrIY0+ZvIexCjV8ror2vdL19UDaSv3yXm
 mkdjSQTaD3wIDGvs6lYRKPQhN+w1VxgxZebEwH0G6Dp8pA0nGOwtvJyctJhLSrTnwiTvQoE7
 oV5LzcFS1krJzn3mTvxURYF5pZWRGsKxyEMPS0npHXIbjwyr+ct04vXiI22wyHboGAEj3lNi
 QuWg+aYTcYmdJsiBRQJMi6inBjrPyyTPSYGPfAkdteb7Nsv8/EU39vnMHtfOHT9cAOMdk9nx
 ZkDRPZdDsE7v3uGfA70Cf40Lfu2fMirpMAep5aJEKCuLwFbyEE++3ZN3ZttrLhqDa+y33F9q
 1ZWPQsQZuNBAyEoKzzMFO4h+x6YRXkobG0gKzuGyRKpqH5MnhYeIWKXcLS+ZZnEWajRvJ6T8
 VLemJN3dQVJxtSeT573tzsCxYsfv703WbV3pi1MiDx0TpNP+n+PXccVBbyihDPEPQ1RqfZeG
 vb1HzOurdh63ewARAQABwsF8BBgBCgAmAhsMFiEEPn825zvdanEG+SAhAjwF4snAaPAFAlpl
 YT4FCQ0mmd8ACgkQAjwF4snAaPDgLg//dB4Ykmy8arzcRksnPXjTOi/QbktyMmeNxIeHqRrT
 9CCCjCmJfJ+QohmfEunWGh0BR79hdRnib/iWcI3cXcEsYJ5j43uoJ4fZDTKZccAeqFlNY21o
 Yk6zyqudfiucFyCHO+Ao5m2nP683QqmxAkPN8nJL30dXY+CjX5gJjPESTkB3g94M35v3Zwr8
 i79w16h1I7lN5kfojY8+5lIoKek+vfrnUN/z4+YaD2/KAyot3tN92nibletYytTc/nSQUMdz
 oJ0eUFv3i2/rHHSaT92ftzveeZRjtRaRPY3lIvXkpOjL6swWS1zarX1qA9fVDh6KJDu0DShP
 OcL7HKn3hayBW2RmpFUjdkFKPI3d7bcTzyEnSMniXbVE4Gv3GiqDddhEpSYbBgw76eQdJpPl
 XN575vMUMP2HHkCKQtJZWZk1GSvsUDKeymiSrrBQZabGOQig6e+UiHL5/C/KBYLRIRUDKMj8
 lpQ8VsiiVypOoyoU6LEa/a2ZsRvXUBD+dPjMVDQfwuA9exwq6X1IT4+h+cQsL7srAaqRNCqR
 yf7VYRLcB7Rj3MNyo+s6LHlWWY0ObG6NgNzDcv/3G4pT50em5y2f6mo5PHywTcHorYB3cPfz
 YpAhF+IHa7suYfm3qyVmCZ4N+AHUAByy2NnPc7mFZLIVSAoKcwDhdJJu80eabYQZ59Y=
Subject: Re: bug#32709: Clojure doesn't provide "clojure" executable
Message-ID: <b596999c-28ef-2b1d-f2dc-da53f888bd53@HIDDEN>
Date: Thu, 13 Dec 2018 14:08:47 +1100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Icedove/52.9.1
MIME-Version: 1.0
In-Reply-To: <878t456tnj.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature";
 boundary="DOMEmcubrNkkcctgltSbFTMS47zIN2zfe"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32709
Cc: 32709 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--DOMEmcubrNkkcctgltSbFTMS47zIN2zfe
Content-Type: multipart/mixed; boundary="jm43Vr1uNM7Vj7gAoISpWb0CTZO7P42Go";
 protected-headers="v1"
From: Ben Sturmfels <ben@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: 32709 <at> debbugs.gnu.org
Message-ID: <b596999c-28ef-2b1d-f2dc-da53f888bd53@HIDDEN>
Subject: Re: bug#32709: Clojure doesn't provide "clojure" executable
References: <874leva358.fsf@HIDDEN> <878t456tnj.fsf@HIDDEN>
In-Reply-To: <878t456tnj.fsf@HIDDEN>

--jm43Vr1uNM7Vj7gAoISpWb0CTZO7P42Go
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

Thanks Ricardo,

On 14/09/18 06:15, Ricardo Wurmus wrote:
>=20
> Hi Ben,
>=20
>> When I install the "clojure" package, I can't seem to just run `clojur=
e`
>> and get an interpreter like I would on Debian.
>>
>> My Java is a bit rusty, but I found I could get it going by installing=
 the "icedtea" package and running:
>>
>>   java -cp ~/.guix-profile/share/java/clojure-1.9.0.jar clojure.main
>>
>> or
>>
>>   java -jar ~/.guix-profile/share/java/clojure-1.9.0.jar
>>
>> which is a bit of a mouthful.
>=20
> It is, but this is what upstream tells us to run after building the
> package.  Neither pom.xml (for Maven) nor build.xml (for Ant) contain
> targets that generate a shell wrapper.
>=20
> It looks like adding a shell wrapper is a decision that was taken by
> Debian and is not what upstream does.  So this is not due to a defect i=
n
> the ant-build-system.
>=20
> To address this we may want to add a wrapper in a custom build phase.

I see what you mean about Debian's approach with the wrapper.

After some investigating I see that Clojure project's current approach
is different again to Debian. Their releases eg.
https://download.clojure.org/install/clojure-tools-1.9.0.XXX.tar.gz
include scripts `clj` and `clojure` which come from
https://github.com/clojure/brew-install. These scripts use functionality
from https://github.com/clojure/tools.deps.alpha/ to automatically
download any libraries you've declared a dependency on at runtime.

There will surely be a script that does this multi-repository build, but
I haven't found it yet.

Regards,
Ben


--jm43Vr1uNM7Vj7gAoISpWb0CTZO7P42Go--

--DOMEmcubrNkkcctgltSbFTMS47zIN2zfe
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcEc1AAAoJEAI8BeLJwGjw8bkP/juL3rl8/H/ZCWdMYXk+RDkK
gLoHozFXgUXBYqO5QALlVE1vUe+D/2z5T86/aKgy5o8qYPuenVtOS5MTwRGQWN0d
9Wc2RF5y4hZ+f107fzuCabjzjGzW5C19RMit1nTK0aBknWARMt1PALrcVw3/UDn/
cs045NU83MLHXANdrSn7ydqGC53pDIzem925UVw64V6AX+pUE4qiXJFdTz6B4yR/
rwVV3qz/qeYAg9WvAMv+Js0qRc/rjwrM89GzyVZcTycUFT8N2KK5klYFsczZH5Ri
bIHaIsQpSgqy3vggNEGY85RpEGcCIVqbj3oIZ10pvFSVoJ+xMo/qWI+XX1MWgOCT
YDhVOdzZbK7wTAhWKI8Rx2BwWHpVO2sFpr4S3CdPRXqE+2FwjovsEsuCwantxRDZ
NDvW5vpSJRN8KoPTFzVUULti8FBnXsNM3lzh4PXutJUDx7WYW4zyX8dxdrhFSaQ3
o0lrw4tvKhOn9+einia/jh67QIfFHJHIuH2WCVUqefitpuJ3bG+lzs+btb3yo7vQ
JmVqX/EaeaMm4IqdQfG3iAm34A5+Kx6BIdLouvmLbH2f7Fg1VfnLmDq0UnKdfiIk
oYMKJ8uei1AXc+aQDlfDdWwFjiH9ji2jDI2xkfL60Q3HZu58yAnx57JMyXzw/I7H
2mPracAOrTACk8oXzC/l
=EJY7
-----END PGP SIGNATURE-----

--DOMEmcubrNkkcctgltSbFTMS47zIN2zfe--




Information forwarded to bug-guix@HIDDEN:
bug#32709; Package guix. Full text available.
Added tag(s) easy. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 32709 <at> debbugs.gnu.org:


Received: (at 32709) by debbugs.gnu.org; 13 Sep 2018 20:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 13 16:15:54 2018
Received: from localhost ([127.0.0.1]:39637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0Y1q-0003hN-EL
	for submit <at> debbugs.gnu.org; Thu, 13 Sep 2018 16:15:54 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1g0Y1n-0003hB-73
 for 32709 <at> debbugs.gnu.org; Thu, 13 Sep 2018 16:15:52 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1536869733; cv=none; d=zoho.com; s=zohoarc; 
 b=WlT1Y8QCZ+qlOnaK+9Tts/gy9rgFQzacEO29auK4xXg3ufEwA4ChXZniRjzwq9YY+Js4ARwwyURSNtScsT/4FNu3jUi3FvqI+/Jk0Ppug0DBSolhM4e+6MOxWlkLR7X8JxhhzkmoujFHrfXMAxr9x0KnXEUREwJwcxrYGF6d9S0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1536869733;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=vN40tutG0rWg94AoUozsn/8Nx/CiThTa/zyoguDyanU=; 
 b=gMdqxC1+zyeXBQd4DrPJxad1CHbbjYEc218Rm7trcDkMBOdfiSVsWOkXdyeCs7ri7d1sj1LdOoxt3G9Zvydz1SMY6qRyULT/raJXEjfikGuN0l4ay3uoXfjemc8KgUA7u2f4P85ieo6jCiQeeV0krayKIwYqKMwnKQ5HVjuAx/Y=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1536869733; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=867; bh=vN40tutG0rWg94AoUozsn/8Nx/CiThTa/zyoguDyanU=;
 b=OWeeq1AQrRzgcqnLBV/iZUTipYCPrB/iTTJeBrS2usInrQEcQXtXtQSjxqBnBSQP
 hfPdPAZWK2euglrxT7AF+V4qEeHXHHqRUyqDofLOucuT63m15cO3QYxZTVWtJz3sih9
 927Twu3ihK2Wzt3GMs0Y65V8SM13HFs/eKo8xDQY=
Received: from localhost (port-92-200-33-76.dynamic.qsc.de [92.200.33.76]) by
 mx.zohomail.com with SMTPS id 1536869731476255.80634855168637;
 Thu, 13 Sep 2018 13:15:31 -0700 (PDT)
References: <874leva358.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Ben Sturmfels <ben@HIDDEN>
Subject: Re: bug#32709: Clojure doesn't provide "clojure" executable
In-reply-to: <874leva358.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 13 Sep 2018 22:15:28 +0200
Message-ID: <878t456tnj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32709
Cc: 32709 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Ben,

> When I install the "clojure" package, I can't seem to just run `clojure`
> and get an interpreter like I would on Debian.
>
> My Java is a bit rusty, but I found I could get it going by installing the "icedtea" package and running:
>
>   java -cp ~/.guix-profile/share/java/clojure-1.9.0.jar clojure.main
>
> or
>
>   java -jar ~/.guix-profile/share/java/clojure-1.9.0.jar
>
> which is a bit of a mouthful.

It is, but this is what upstream tells us to run after building the
package.  Neither pom.xml (for Maven) nor build.xml (for Ant) contain
targets that generate a shell wrapper.

It looks like adding a shell wrapper is a decision that was taken by
Debian and is not what upstream does.  So this is not due to a defect in
the ant-build-system.

To address this we may want to add a wrapper in a custom build phase.

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#32709; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Sep 2018 02:07:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 11 22:07:50 2018
Received: from localhost ([127.0.0.1]:37579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fzuZJ-0008AV-Vx
	for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 22:07:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ben@HIDDEN>) id 1fzuZG-00089z-Fe
 for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 22:07:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ben@HIDDEN>) id 1fzuYu-0000xU-MD
 for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 22:07:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID,
 UNPARSEABLE_RELAY autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54150)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ben@HIDDEN>) id 1fzuYt-0000wB-Qn
 for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 22:07:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37144)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ben@HIDDEN>) id 1fzuYo-0006FC-Jd
 for bug-guix@HIDDEN; Tue, 11 Sep 2018 22:07:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ben@HIDDEN>) id 1fzuPe-0003ZF-LM
 for bug-guix@HIDDEN; Tue, 11 Sep 2018 21:57:53 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:39321)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ben@HIDDEN>) id 1fzuPe-0003Y2-8q
 for bug-guix@HIDDEN; Tue, 11 Sep 2018 21:57:50 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.west.internal (Postfix) with ESMTP id 26525428
 for <bug-guix@HIDDEN>; Tue, 11 Sep 2018 21:57:48 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute6.internal (MEProxy); Tue, 11 Sep 2018 21:57:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=stumbles.id.au;
 h=content-type:date:from:message-id:mime-version:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=NXoip8Y+kbg5zpNOR
 Y6lPl6rpzuZxyI/UQ3IX9c6+2o=; b=KtEr1H8734zkpsNyi99qnS9mRRsLJ9Pcj
 yYr4w9qETdZwjoF09unswtxx7adku4MpRKmfZ/TJNmESisGMYxQjst3wwMfXWg8q
 ls48dkjoxMldiNMi40QJQoH9kFKGLJTFhjQ+XbhWSp8RcIKqaxG/woM+Ii8LNZEd
 +69AZ6Q6gvMu9pUuNOgHpKif4YAY33guSjLG84gl0G9pj1QawpA9LYBvU+xFKlOu
 PEtVRnjfjW1OuyM5cxGhjXvM5HdtMXbMHw/GO7ZHboKj7HAlUEGrour9Ob1L5yau
 35wGdbbZJ6mmfEM2xbhjju/ZAn9E/IvMG6UC+0he1441vc1+pbQzg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=NXoip8Y+kbg5zpNORY6lPl6rpzuZxyI/UQ3IX9c6+2o=; b=ove9+KAr
 IbXIuKDR4+Ov0CLL8zXImRoJ6ZbbqPbORuHynwIp5LvBvXN0u/CRrEkPC80NbEel
 PQM1nGzLIhkc2K3nvHZYW8q5Ajv0gTT4zgcFettlLdmfp3H1cL50nyRV7Qjn1Xx+
 MlTmuodI8HTVNz9J4HHooTzQJV6HUWNqDlLaxwF/v6wb96yN23FxsaMRta2+pW16
 e75G8+MPy34szs37cWFLt1KBqDiUkyN1vOxu/k+e5bJKWvn7AzrF7UKpV6jwi6rf
 yezFhzURJP5v3oZ1WX6Q2ajd184F0YO1dQSM3e8SL1Y7KkhOIp6liCEo2y4OzrWR
 QZ67JBP+lJegJg==
X-ME-Proxy: <xmx:m3KYW6ESHrngISwqEJldBWuXfo1EeH5wZRy10WbEiUiMTH7M2hTp5Q>
 <xmx:m3KYWwiX-nzeI_hVyHNZDlyacEtzcDfpQXIonvUeXjjIHVxwHEQsaA>
 <xmx:m3KYW0gJi8jTn39kfCjtCGzPLBROBFOV9kw2oDwRYMLvdEVpYH3LWA>
 <xmx:m3KYW9LyC6_WiS0OEdj92W37dNzLLqxXtONHnYKSRhvoa2vAOBwDxw>
 <xmx:m3KYWwPcaLt0x8vSZRjQT_sRQBKLC8MDqxNWh9T7q7VfB0ZZa4tVwg>
 <xmx:m3KYW01NdYblVHQuKYTgohVOdbCDyhtOlP5IyTczBhjIC9VqJQYuIA>
X-ME-Sender: <xms:m3KYW_zx5uVAZwgx1xmmZ-glDhhbxKjlNVabIt1Ef2ycUKGYeE0Umw>
Received: from localhost (203-214-132-4.perm.iinet.net.au [203.214.132.4])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9A6971029E
 for <bug-guix@HIDDEN>; Tue, 11 Sep 2018 21:57:46 -0400 (EDT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 0bc9c91c
 for <bug-guix@HIDDEN>; Wed, 12 Sep 2018 01:57:43 +0000 (UTC)
User-agent: mu4e 1.0; emacs 26.1
From: Ben Sturmfels <ben@HIDDEN>
To: bug-guix@HIDDEN
Subject: Clojure doesn't provide "clojure" executable
Date: Wed, 12 Sep 2018 11:57:39 +1000
Message-ID: <874leva358.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

--=-=-=
Content-Type: text/plain

Hi Folks,

When I install the "clojure" package, I can't seem to just run `clojure`
and get an interpreter like I would on Debian.

My Java is a bit rusty, but I found I could get it going by installing the "icedtea" package and running:

  java -cp ~/.guix-profile/share/java/clojure-1.9.0.jar clojure.main

or

  java -jar ~/.guix-profile/share/java/clojure-1.9.0.jar

which is a bit of a mouthful.

Regards,
Ben

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEPn825zvdanEG+SAhAjwF4snAaPAFAluYcpMACgkQAjwF4snA
aPA3+Q/7BNNynQgu2UTMwske8IaKGqcVGwwG99rO0cppQdAEYk0sVngSSdAaYP24
o2RrSuPcKOFAR7kaVSSGtklOmubK/YcajJ8U+eoKMxNOm3SxNmNanVc4cee1rlYh
388b89N64WWXemnpWC0C7saGJyrJCflBKX590SKQTSzuM1BFWwZ3dymbBbUy7OUH
NrYrTfnm/tsGkpLymSR97Mgflj2qUt9O+M/k6Gt+zP6+7XZv1kXqfR4qFk99cvv0
r+7YqlrqpdaEYa6y0YnmkkcV1ddX7r6iK3lAYHUPGkw4i4l3sH32kJqcf/78FGQy
5HLPOL9etoiQPZAxjFGH8I4S1CqsuX0Z5956j1AP61h2qUUe5lZTiXGmiW/QwhQ9
owqw9cK9kFEWmNf7EEZ1Ki3YufPCxqrRFvULLfhQpYDYNLwiMTWnO6PGlWFQJ8oy
q8SBlJyalgff3r9tBadz3/OHeqXiFxwQ0NUJpZ9rNnKnIbLsehdZt9FXJYls1Mbn
RcJiI/PHu2Vi9nV7OrcC6J1A29Pe2lrFgWeq89iY5Cn9qkyBFQLKk6i83VYueugo
zOgx752RiA6YHVjSHJ1c50tY5KLf+iKb82RI6+U+3hPueoHcBhDqts7jtAsLjoA8
FSp1vhZjwkFwPixD16E6tsse3uzYZHmVm7IOs8cSvOhUfZl7Diw=
=wywF
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Ben Sturmfels <ben@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32709; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.